package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;


/**
 * 企业财税合规风险信息授权对象 cms_ent_risk_financial_tax_auth
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:31
 */
@TableName("cms_ent_risk_financial_tax_auth")
public class CmsEntRiskFinancialTaxAuth  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long authId;

	/** 企业风险表ID */
	@ApiModelProperty(value = "企业风险表ID")
	private Long entRiskInfoId;

	/** 企业名称 */
	@ApiModelProperty(value = "企业名称")
	private String entName;

	/** 三合一码 */
	@ApiModelProperty(value = "三合一码")
	private String regCode;

	/** 授权链接 */
	@ApiModelProperty(value = "授权链接")
	private String authUrl;

	/** 授权状态 */
	@ApiModelProperty(value = "授权状态")
	private String authState;
	/** 授权时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "授权时间")
	private Date authTime;

	/** 授权订单号 */
	@ApiModelProperty(value = "授权订单号")
	private String authOrderNo;

	/** 授权批次号 */
	@ApiModelProperty(value = "授权批次号")
	private String taxNo;

	/** 邮箱 */
	@ApiModelProperty(value = "邮箱")
	private String email;
	/** 邮件通知时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "邮件通知时间")
	private Date emailNotifyTime;

	/** 备注 */
	@ApiModelProperty(value = "备注")
	private String remarks;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private String delFlag;

	/** 所属租户 */
	@ApiModelProperty(value = "所属租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("authId")
	public Long getAuthId() {
		return authId;
	}

	public void setAuthId(Long authId) {
		this.authId =  authId;
	}
	@JsonProperty("entRiskInfoId")
	public Long getEntRiskInfoId() {
		return entRiskInfoId;
	}

	public void setEntRiskInfoId(Long entRiskInfoId) {
		this.entRiskInfoId =  entRiskInfoId;
	}
	@JsonProperty("entName")
	public String getEntName() {
		return entName;
	}

	public void setEntName(String entName) {
		this.entName =  entName;
	}
	@JsonProperty("regCode")
	public String getRegCode() {
		return regCode;
	}

	public void setRegCode(String regCode) {
		this.regCode =  regCode;
	}
	@JsonProperty("authUrl")
	public String getAuthUrl() {
		return authUrl;
	}

	public void setAuthUrl(String authUrl) {
		this.authUrl =  authUrl;
	}
	@JsonProperty("authState")
	public String getAuthState() {
		return authState;
	}

	public void setAuthState(String authState) {
		this.authState =  authState;
	}
	@JsonProperty("authTime")
	public Date getAuthTime() {
		return authTime;
	}

	public void setAuthTime(Date authTime) {
		this.authTime =  authTime;
	}
	@JsonProperty("authOrderNo")
	public String getAuthOrderNo() {
		return authOrderNo;
	}

	public void setAuthOrderNo(String authOrderNo) {
		this.authOrderNo =  authOrderNo;
	}
	@JsonProperty("taxNo")
	public String getTaxNo() {
		return taxNo;
	}

	public void setTaxNo(String taxNo) {
		this.taxNo =  taxNo;
	}
	@JsonProperty("email")
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email =  email;
	}
	@JsonProperty("emailNotifyTime")
	public Date getEmailNotifyTime() {
		return emailNotifyTime;
	}

	public void setEmailNotifyTime(Date emailNotifyTime) {
		this.emailNotifyTime =  emailNotifyTime;
	}
	@JsonProperty("remarks")
	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks =  remarks;
	}
	@JsonProperty("delFlag")
	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																				
	public CmsEntRiskFinancialTaxAuth(Long authId,Long entRiskInfoId,String entName,String regCode,String authUrl,String authState,Date authTime,String authOrderNo,String taxNo,String email,Date emailNotifyTime,String remarks,String delFlag,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.authId = authId;
		this.entRiskInfoId = entRiskInfoId;
		this.entName = entName;
		this.regCode = regCode;
		this.authUrl = authUrl;
		this.authState = authState;
		this.authTime = authTime;
		this.authOrderNo = authOrderNo;
		this.taxNo = taxNo;
		this.email = email;
		this.emailNotifyTime = emailNotifyTime;
		this.remarks = remarks;
		this.delFlag = delFlag;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskFinancialTaxAuth() {
	    super();
	}

}